bug-gnuzilla
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Error while compiling 3.5.1


From: Nicolas Hussein
Subject: Re: Error while compiling 3.5.1
Date: Sun, 19 Jul 2009 09:58:09 +0200 (Paris, Madrid (heure d'ÚtÚ))
User-agent: SquirrelMail/1.4.9a

Ok, but in gNewSense repositories, there is only 2.3 version...

May I have to install it manually for IceCat compiling ? Where can I find
it ?

Thanks,
Nicolas

-- 
Professionnels et passionn├ęs des transports publics
d'Île-de-France - <http://www.metro-pole.net>

> Hello,
>
> I reported the same problem with an older python-ply version.
>
> python-ply 3.2 works well.
>
> Regards,
> Giuseppe
>
>
> "Nicolas Hussein" <address@hidden> writes:
>
>> Hi,
>>
>> As 3.5.1 is available, I don't try anymore to compile 3.5 : I switched
>> directly to 3.5.1.
>>
>> When I run ├é┬ź make ├é┬╗ I have this error :
>>
>> -----------------------------------------------------------------------
>>
>> make[4]: entrant dans le r├â┬ępertoire ├é┬ź
>> /usr/src/icecat-3.5.1/js/src/xpconnect/src »
>> PYTHONPATH=../../../../xpcom/idl-parser \
>>        /usr/bin/python ./qsgen.py \
>>        --idlpath=../../../../dist/idl \
>>        --cachedir=../../../../xpcom/idl-parser \
>>        --header-output dom_quickstubs.h \
>>        --stub-output dom_quickstubs.cpp \
>>        --makedepend-output .deps/dom_qsgen.pp \
>>         \
>>        ./dom_quickstubs.qsconf
>> Traceback (most recent call last):
>>   File "./qsgen.py", line 1487, in <module>
>>     main()
>>   File "./qsgen.py", line 1469, in main
>>     traceable=options.enable_traceables)
>>   File "./qsgen.py", line 281, in readConfigFile
>>     parser = xpidl.IDLParser(cachedir)
>>   File "/usr/src/icecat-3.5.1/xpcom/idl-parser/xpidl.py", line 1217, in
>> __init__
>>     optimize=1)
>> TypeError: lex() got an unexpected keyword argument 'outputdir'
>> make[4]: *** [dom_quickstubs.h] Erreur 1
>> make[4]: quittant le r├â┬ępertoire ├é┬ź
>> /usr/src/icecat-3.5.1/js/src/xpconnect/src »
>> make[3]: *** [libs] Erreur 2
>> make[3]: quittant le r├â┬ępertoire ├é┬ź
>> /usr/src/icecat-3.5.1/js/src/xpconnect »
>> make[2]: *** [libs_tier_gecko] Erreur 2
>> make[2]: quittant le r├â┬ępertoire ├é┬ź /usr/src/icecat-3.5.1 ├é┬╗
>> make[1]: *** [tier_gecko] Erreur 2
>> make[1]: quittant le r├â┬ępertoire ├é┬ź /usr/src/icecat-3.5.1 ├é┬╗
>> make: *** [default] Erreur 2
>>
>> -----------------------------------------------------------------------
>>
>> Thanks in advance,
>> Nicolas
>>
>> P.S. : this time again, python-ply seems to be absent, I had to install
>> it
>> via synaptic.
>
> D'oh.  That is my mistake, I updated the remove.nonfree script partially.
>






reply via email to

[Prev in Thread] Current Thread [Next in Thread]